BEGIN ~UBBA0133~

IF ~True()~ THEN BEGIN 0
  SAY @20155
  IF ~~ THEN REPLY @20156 DO ~StartStore("%tutu_var%TAV0133",LastTalkedToBy())~ EXIT
  IF ~~ THEN REPLY @20157 EXIT
END

BEGIN ~UBMERCH~
IF WEIGHT #2 ~True()~ THEN BEGIN 0
  SAY @20158
  IF ~~ THEN REPLY @20159 DO ~StartStore("%tutu_var%sto4907",LastTalkedToBy())~ EXIT
  IF ~~ THEN REPLY @20160 EXIT
END

IF WEIGHT #0 ~StateCheck(Myself,STATE_CHARMED)~ THEN BEGIN 1
  SAY @20161
  IF ~~ THEN JOURNAL @20162 EXIT
END

IF ~~ THEN BEGIN 2
  SAY @20163
  IF ~~ THEN EXIT
END

REPLACE_ACTION_TEXT %tutu_var%ALVAHE
  ~StartStore("%tutu_var%Tem4802",LastTalkedToBy(\(Myself\)?))~
  ~StartStore("%tutu_var%TEM4003",LastTalkedToBy())~
  
REPLACE_ACTION_TEXT %tutu_scriptbg%SHOP06
  ~StartStore("\(%tutu_var%[Ss][Tt][Oo]1115\)",LastTalkedToBy(\(Myself\)?))~
  ~StartStore("UBSTO01",LastTalkedToBy())~

REPLACE_ACTION_TEXT %tutu_scriptbg%SHOP07
  ~StartStore("\(%tutu_var%[Ss][Tt][Oo]1115\)",LastTalkedToBy(\(Myself\)?))~
  ~StartStore("UBSTO02",LastTalkedToBy())~

REPLACE_ACTION_TEXT %tutu_scriptbg%SHOP08
  ~StartStore("\(%tutu_var%[Ss][Tt][Oo]1115\)",LastTalkedToBy(\(Myself\)?))~
  ~StartStore("UBSTO03",LastTalkedToBy())~
